Subject: bug#27397: [PATCH] New commands for bulk tracing of elisp functions

From: Dmitry Gutov <[email-masked]>
Date: Fri, 16 Jun 2017 17:58:01 +0300

On 6/16/17 4:32 PM, Phil Sainty wrote:

> This patch adds commands for tracing and untracing functions in bulk,
> either by function name prefix (`trace-package' and `untrace-package')
> or by regexp (`trace-regexp' and `untrace-regexp').

Looking good. And I've wanted these commands both times I've had a need 
to use trace.el.

This patch could probably use a NEWS entry, though.

> (I note that the `trace-is-traced' function does not follow the usual
> naming convention for predicates.  Should this be renamed to
> `trace-is-traced-p' ?)

I'm not 100% sure about the protocol here, but including both "-is-" and 
"-p" in a function name seems too much.

So maybe you should do the opposite and rename trace-is-traceable-p to 
trace-is-traceable.